package com.hi.music.player.javabean.response;

import com.hi.music.player.helper.MyValue;

import java.io.Serializable;

/**
 * 播放列表
 */
public class ResponsePlayListInfo implements Serializable {

    //封面
    private String covert;


    //小尺寸封面
    private String smallCovert;

    //歌曲名字
    private String SongTitle;

    //歌手名字
    private String SingerName;

    //专辑名称
    private String AlbumTitle;

    //发行年份
    private String Year;

    //歌曲时长
    private String Duration;


    //歌曲时长 毫秒
    private long DurationMs;

    private String describe;


    private String videoId;
    private String playlistId;
    private String params;
    private String musicVideoType;


//
//    //------------自定义属性，由另外接口请求返回的数据流组装
//    private String audioUrlLow;
//
//    private String audioUrlMedium;








    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getSmallCovert() {
        return smallCovert;
    }

    public void setSmallCovert(String smallCovert) {
        this.smallCovert = smallCovert;
    }

    public long getDurationMs() {
        return DurationMs;
    }

    public void setDurationMs(long durationMs) {
        DurationMs = durationMs;
    }

    public String getDuration() {
        return Duration;
    }

    public void setDuration(String duration) {
        Duration = duration;
    }

    public String getCovert() {
        return covert;
    }

    public void setCovert(String covert) {
        this.covert = covert;
    }

    public String getSongTitle() {
        return SongTitle;
    }

    public void setSongTitle(String songTitle) {
        SongTitle = songTitle;
    }

    public String getSingerName() {
        return SingerName;
    }

    public void setSingerName(String singerName) {
        SingerName = singerName;
    }

    public String getAlbumTitle() {
        return AlbumTitle;
    }

    public void setAlbumTitle(String albumTitle) {
        AlbumTitle = albumTitle;
    }

    public String getYear() {
        return Year;
    }

    public void setYear(String year) {
        Year = year;
    }

    public String getVideoId() {
        return videoId;
    }

    public void setVideoId(String videoId) {
        this.videoId = videoId;
    }

    public String getPlaylistId() {
        return playlistId;
    }

    public void setPlaylistId(String playlistId) {
        this.playlistId = playlistId;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public String getMusicVideoType() {
        return musicVideoType;
    }

    public void setMusicVideoType(String musicVideoType) {
        this.musicVideoType = musicVideoType;
    }


//    public String getAudioUrlLow() {
//        return audioUrlLow;
//    }
//
//    public void setAudioUrlLow(String audioUrlLow) {
//        this.audioUrlLow = audioUrlLow;
//    }
//
//    public String getAudioUrlMedium() {
//        return audioUrlMedium;
//    }
//
//    public void setAudioUrlMedium(String audioUrlMedium) {
//        this.audioUrlMedium = audioUrlMedium;
//    }
}
